#[derive(Debug)]
pub struct CliClient<'a> {
    base_client: &'a mut crate::core::base_client::BaseClient,
}
impl<'a> CliClient<'a> {
    pub(crate) fn _new(
        base_client: &'a mut crate::core::base_client::BaseClient,
    ) -> Self {
        Self { base_client }
    }
    /// Checks if current CLI has updates
    ///
    /// GET /cli/updates/{cli_version}
    pub async fn check_updates(
        &mut self,
        request: super::request_types::CheckUpdatesRequest,
    ) -> crate::SdkResult<Vec<crate::models::CliUpdate>> {
        let url = self
            .base_client
            .build_url(
                &format!(
                    "/cli/updates/{}", crate ::core::params::format_string_param(&
                    request.cli_version)
                ),
            );
        let mut builder = reqwest::Client::default().get(&url);
        builder = builder.header("x-sideko-sdk-language", "rust");
        let mut response = builder.send().await?;
        response = self.base_client.error_for_status("GET", response).await?;
        crate::core::response::process_json::<Vec<crate::models::CliUpdate>>(response)
            .await
    }
}
